Loading...
Searching...
No Matches
fastjet::JetDefinition::Recombiner Class Referenceabstract
Advanced usage

An abstract base class that will provide the recombination scheme facilities and/or allow a user to extend these facilities. More...

`#include <fastjet/JetDefinition.hh>`

Inheritance diagram for fastjet::JetDefinition::Recombiner:
[legend]

## Public Member Functions

virtual std::string | description () const =0
| return a textual description of the recombination scheme implemented here
virtual void | recombine (const PseudoJet &pa, const PseudoJet &pb, PseudoJet &pab) const =0
| recombine pa and pb and put result into pab
virtual void | preprocess (PseudoJet &) const
| routine called to preprocess each input jet (to make all input jets compatible with the scheme requirements (e.g.
virtual | ~Recombiner ()
| a destructor to be replaced if necessary in derived classes...
void | plus_equal (PseudoJet &pa, const PseudoJet &pb) const
| pa += pb in the given recombination scheme.

## Detailed Description

An abstract base class that will provide the recombination scheme facilities and/or allow a user to extend these facilities.

Definition at line 491 of file JetDefinition.hh.

## Constructor & Destructor Documentation

## ~Recombiner()

virtual fastjet::JetDefinition::Recombiner::~Recombiner | ( |  | ) |

inline virtual

a destructor to be replaced if necessary in derived classes...

Definition at line 506 of file JetDefinition.hh.

## Member Function Documentation

## description()

virtual std::string fastjet::JetDefinition::Recombiner::description | ( |  | ) | const

pure virtual

return a textual description of the recombination scheme implemented here

Implemented in fastjet::JetDefinition::DefaultRecombiner, and fastjet::PruningRecombiner.

## recombine()

virtual void fastjet::JetDefinition::Recombiner::recombine | ( | const PseudoJet & | pa,
|  | const PseudoJet & | pb,
|  | PseudoJet & | pab ) const

pure virtual

recombine pa and pb and put result into pab

Implemented in fastjet::JetDefinition::DefaultRecombiner, and fastjet::PruningRecombiner.

## preprocess()

virtual void fastjet::JetDefinition::Recombiner::preprocess | ( | PseudoJet & |  | ) | const

inline virtual

routine called to preprocess each input jet (to make all input jets compatible with the scheme requirements (e.g.

massless).

Reimplemented in fastjet::JetDefinition::DefaultRecombiner.

Definition at line 503 of file JetDefinition.hh.

## plus_equal()

void fastjet::JetDefinition::Recombiner::plus_equal | ( | PseudoJet & | pa,
|  | const PseudoJet & | pb ) const

inline

pa += pb in the given recombination scheme.

Not virtual – the user should have no reason to want to redefine this!

Definition at line 510 of file JetDefinition.hh.

The documentation for this class was generated from the following file:

- include/fastjet/JetDefinition.hh